Bug 657916 - Does not communicate with S3 web services
Summary: Does not communicate with S3 web services
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: s3cmd
Version: 14
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-28 17:33 UTC by Jimmy Rentz
Modified: 2010-12-03 20:46 UTC (History)
1 user (show)

Fixed In Version: s3cmd-0.9.9.91-3.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-03 20:46:22 UTC
Type: ---


Attachments (Terms of Use)

Description Jimmy Rentz 2010-11-28 17:33:27 UTC
Description of problem:
S3cmd is unable to communicate with the S3 web services.  I am not sure if something changed on the S3 side or maybe a platform component (python) is causing the problems.

Version-Release number of selected component (if applicable):
0.9.9.91-2.fc14.1

How reproducible:
Run s3cmd --configure to communicate with S3 service.

Steps to Reproduce:
1. Follow steps to setup the S3 web services link.
2.
3.
  
Actual results:
After you entered all the keys/secrets then s3cmd tries to communicate with the S3 web services.  
These are the errors you get that lead to an eventual failure:
WARNING: Retrying failed request: /?delimiter=/ (sequence item 0: expected string, int found)
WARNING: Waiting 3 sec...
...

Expected results:
Success with S3 web services configuration.

Additional info:
s3cmd 1.0.0-rc1 works fine.

Comment 1 Fedora Update System 2010-11-29 13:33:44 UTC
s3cmd-0.9.9.91-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/s3cmd-0.9.9.91-3.fc14

Comment 2 Fedora Update System 2010-11-29 21:28:05 UTC
s3cmd-0.9.9.91-3.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update s3cmd'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/s3cmd-0.9.9.91-3.fc14

Comment 3 Jimmy Rentz 2010-11-30 01:27:41 UTC
This fixes the problem.

Comment 4 Fedora Update System 2010-12-03 20:46:18 UTC
s3cmd-0.9.9.91-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.